Bug 24982 - Use checkboxes in Log Viewer instead of select dropdowns
Summary: Use checkboxes in Log Viewer instead of select dropdowns
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Aleisha Amohia
QA Contact: Kyle M Hall
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-25 22:01 UTC by Aleisha Amohia
Modified: 2020-04-03 22:49 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
This patch changes the dropdowns in the Log Viewer to checkboxes so that the user can see all of their available options and select multiple options more easily.
Version(s) released in:
20.05.00


Attachments
Bug 24982: Use checkboxes in Log Viewer (11.85 KB, patch)
2020-03-26 01:13 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24982: Use checkboxes in Log Viewer (11.96 KB, patch)
2020-03-26 01:46 UTC, Aleisha Amohia
Details | Diff | Splinter Review
Bug 24982: Use checkboxes in Log Viewer (12.03 KB, patch)
2020-03-26 10:46 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24982: (follow-up) Give checkboxes more structured layout (7.42 KB, patch)
2020-03-26 12:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24982: (follow-up) Move checkboxes to left side of label (7.93 KB, patch)
2020-03-26 13:49 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24982: Use checkboxes in Log Viewer (12.09 KB, patch)
2020-03-26 14:37 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24982: (follow-up) Give checkboxes more structured layout (7.49 KB, patch)
2020-03-26 14:37 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24982: (follow-up) Move checkboxes to left side of label (7.98 KB, patch)
2020-03-26 14:37 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24982: Use checkboxes in Log Viewer (12.08 KB, patch)
2020-03-26 15:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24982: (follow-up) Give checkboxes more structured layout (7.49 KB, patch)
2020-03-26 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24982: (follow-up) Move checkboxes to left side of label (7.98 KB, patch)
2020-03-26 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24982: (follow-up) Retain checkbox selections after for submit (5.69 KB, patch)
2020-03-26 15:16 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2020-03-25 22:01:28 UTC
The Log Viewer uses select dropdowns. You are able to select more than one option at a time but it isn't clear that you can do this. Also the size of the dropdown means options are squashed and you have to scroll to see all of your options/selections.
Comment 1 Aleisha Amohia 2020-03-26 01:13:33 UTC Comment hidden (obsolete)
Comment 2 Aleisha Amohia 2020-03-26 01:46:23 UTC Comment hidden (obsolete)
Comment 3 ByWater Sandboxes 2020-03-26 10:46:35 UTC
Created attachment 101799 [details] [review]
Bug 24982: Use checkboxes in Log Viewer

So we can see all options at once, and more easily select more than one
option.

Test plan:
1) Go to Tools -> Log viewer
2) Notice the new checkboxes under Modules, Actions and Interface. 'All'
should be selected by default for all three options
3) Confirm you can deselect 'All' and the other options are enabled.
Confirm selection all of the other options automatically selects 'All'
and disables the options again.
4) Confirm the results still work as expected when clicking 'Submit'
button

Sponsored-by: Catalyst IT

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 4 Owen Leonard 2020-03-26 12:58:47 UTC
Created attachment 101824 [details] [review]
Bug 24982: (follow-up) Give checkboxes more structured layout

This patch makes minor markup changes and adds some CSS so that the
module and actions checkboxes are laid out a little more clearly.

The patch includes some whitespace changes, so diff accordingly.
Comment 5 Kyle M Hall 2020-03-26 13:49:18 UTC
Created attachment 101845 [details] [review]
Bug 24982: (follow-up) Move checkboxes to left side of label
Comment 6 ByWater Sandboxes 2020-03-26 14:37:52 UTC
Created attachment 101860 [details] [review]
Bug 24982: Use checkboxes in Log Viewer

So we can see all options at once, and more easily select more than one
option.

Test plan:
1) Go to Tools -> Log viewer
2) Notice the new checkboxes under Modules, Actions and Interface. 'All'
should be selected by default for all three options
3) Confirm you can deselect 'All' and the other options are enabled.
Confirm selection all of the other options automatically selects 'All'
and disables the options again.
4) Confirm the results still work as expected when clicking 'Submit'
button

Sponsored-by: Catalyst IT

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 7 ByWater Sandboxes 2020-03-26 14:37:55 UTC
Created attachment 101861 [details] [review]
Bug 24982: (follow-up) Give checkboxes more structured layout

This patch makes minor markup changes and adds some CSS so that the
module and actions checkboxes are laid out a little more clearly.

The patch includes some whitespace changes, so diff accordingly.

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 8 ByWater Sandboxes 2020-03-26 14:37:57 UTC
Created attachment 101862 [details] [review]
Bug 24982: (follow-up) Move checkboxes to left side of label

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 9 Kyle M Hall 2020-03-26 15:15:25 UTC
Created attachment 101869 [details] [review]
Bug 24982: Use checkboxes in Log Viewer

So we can see all options at once, and more easily select more than one
option.

Test plan:
1) Go to Tools -> Log viewer
2) Notice the new checkboxes under Modules, Actions and Interface. 'All'
should be selected by default for all three options
3) Confirm you can deselect 'All' and the other options are enabled.
Confirm selection all of the other options automatically selects 'All'
and disables the options again.
4) Confirm the results still work as expected when clicking 'Submit'
button

Sponsored-by: Catalyst IT

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 10 Kyle M Hall 2020-03-26 15:16:13 UTC
Created attachment 101870 [details] [review]
Bug 24982: (follow-up) Give checkboxes more structured layout

This patch makes minor markup changes and adds some CSS so that the
module and actions checkboxes are laid out a little more clearly.

The patch includes some whitespace changes, so diff accordingly.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 11 Kyle M Hall 2020-03-26 15:16:16 UTC
Created attachment 101871 [details] [review]
Bug 24982: (follow-up) Move checkboxes to left side of label

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 12 Kyle M Hall 2020-03-26 15:16:19 UTC
Created attachment 101872 [details] [review]
Bug 24982: (follow-up) Retain checkbox selections after for submit

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 13 Martin Renvoize 2020-03-27 12:24:17 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 14 Joy Nelson 2020-04-03 22:49:13 UTC
enhancement not backported to 19.11.x